USN-6502-4

See a problem?
Source
https://ubuntu.com/security/notices/USN-6502-4
Import Source
https://github.com/canonical/ubuntu-security-notices/blob/main/osv/USN-6502-4.json
JSON Data
https://api.osv.dev/v1/vulns/USN-6502-4
Related
  • CVE-2023-25775
  • CVE-2023-31085
  • CVE-2023-45871
  • CVE-2023-5090
  • CVE-2023-5345
Published
2023-11-30T16:56:33.108603Z
Modified
2023-11-30T16:56:33.108603Z
Summary
linux-azure, linux-azure-6.2, linux-azure-fde-6.2, linux-gcp, linux-gcp-6.2 vulnerabilities
Details

Ivan D Barrera, Christopher Bednarz, Mustafa Ismail, and Shiraz Saleem discovered that the InfiniBand RDMA driver in the Linux kernel did not properly check for zero-length STAG or MR registration. A remote attacker could possibly use this to execute arbitrary code. (CVE-2023-25775)

Yu Hao discovered that the UBI driver in the Linux kernel did not properly check for MTD with zero erasesize during device attachment. A local privileged attacker could use this to cause a denial of service (system crash). (CVE-2023-31085)

Manfred Rudigier discovered that the Intel(R) PCI-Express Gigabit (igb) Ethernet driver in the Linux kernel did not properly validate received frames that are larger than the set MTU size, leading to a buffer overflow vulnerability. An attacker could use this to cause a denial of service (system crash) or possibly execute arbitrary code. (CVE-2023-45871)

Maxim Levitsky discovered that the KVM nested virtualization (SVM) implementation for AMD processors in the Linux kernel did not properly handle x2AVIC MSRs. An attacker in a guest VM could use this to cause a denial of service (host kernel crash). (CVE-2023-5090)

It was discovered that the SMB network file sharing protocol implementation in the Linux kernel did not properly handle certain error conditions, leading to a use-after-free vulnerability. A local attacker could use this to cause a denial of service (system crash) or possibly execute arbitrary code. (CVE-2023-5345)

References

Affected packages

Ubuntu:22.04:LTS / linux-azure-6.2

Package

Name
linux-azure-6.2

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
6.2.0-1017.17~22.04.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-modules-extra-azure": "6.2.0.1017.17~22.04.1",
            "linux-cloud-tools-6.2.0-1017-azure": "6.2.0-1017.17~22.04.1",
            "linux-azure-6.2-headers-6.2.0-1017": "6.2.0-1017.17~22.04.1",
            "linux-azure": "6.2.0.1017.17~22.04.1",
            "linux-headers-6.2.0-1017-azure": "6.2.0-1017.17~22.04.1",
            "linux-modules-extra-6.2.0-1017-azure": "6.2.0-1017.17~22.04.1",
            "linux-buildinfo-6.2.0-1017-azure": "6.2.0-1017.17~22.04.1",
            "linux-modules-6.2.0-1017-azure": "6.2.0-1017.17~22.04.1",
            "linux-headers-azure": "6.2.0.1017.17~22.04.1",
            "linux-azure-6.2-cloud-tools-6.2.0-1017": "6.2.0-1017.17~22.04.1",
            "linux-cloud-tools-azure": "6.2.0.1017.17~22.04.1",
            "linux-azure-6.2-tools-6.2.0-1017": "6.2.0-1017.17~22.04.1",
            "linux-tools-azure": "6.2.0.1017.17~22.04.1",
            "linux-tools-6.2.0-1017-azure": "6.2.0-1017.17~22.04.1",
            "linux-image-6.2.0-1017-azure": "6.2.0-1017.17~22.04.1",
            "linux-image-azure": "6.2.0.1017.17~22.04.1",
            "linux-image-unsigned-6.2.0-1017-azure": "6.2.0-1017.17~22.04.1"
        }
    ]
}

Ubuntu:22.04:LTS / linux-azure-fde-6.2

Package

Name
linux-azure-fde-6.2

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
6.2.0-1017.17~22.04.1.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-headers-azure-fde": "6.2.0.1017.17~22.04.1.14",
            "linux-image-6.2.0-1017-azure-fde": "6.2.0-1017.17~22.04.1.1",
            "linux-modules-extra-azure-fde": "6.2.0.1017.17~22.04.1.14",
            "linux-image-azure-fde": "6.2.0.1017.17~22.04.1.14",
            "linux-azure-fde": "6.2.0.1017.17~22.04.1.14",
            "linux-tools-azure-fde": "6.2.0.1017.17~22.04.1.14",
            "linux-image-unsigned-6.2.0-1017-azure-fde": "6.2.0-1017.17~22.04.1.1",
            "linux-cloud-tools-azure-fde": "6.2.0.1017.17~22.04.1.14"
        }
    ]
}

Ubuntu:22.04:LTS / linux-gcp-6.2

Package

Name
linux-gcp-6.2

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
6.2.0-1019.21~22.04.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-modules-6.2.0-1019-gcp": "6.2.0-1019.21~22.04.1",
            "linux-tools-gcp": "6.2.0.1019.21~22.04.1",
            "linux-gcp-6.2-tools-6.2.0-1019": "6.2.0-1019.21~22.04.1",
            "linux-gcp-6.2-headers-6.2.0-1019": "6.2.0-1019.21~22.04.1",
            "linux-headers-6.2.0-1019-gcp": "6.2.0-1019.21~22.04.1",
            "linux-headers-gcp-edge": "6.2.0.1019.21~22.04.1",
            "linux-gcp": "6.2.0.1019.21~22.04.1",
            "linux-tools-gcp-edge": "6.2.0.1019.21~22.04.1",
            "linux-buildinfo-6.2.0-1019-gcp": "6.2.0-1019.21~22.04.1",
            "linux-tools-6.2.0-1019-gcp": "6.2.0-1019.21~22.04.1",
            "linux-image-gcp-edge": "6.2.0.1019.21~22.04.1",
            "linux-headers-gcp": "6.2.0.1019.21~22.04.1",
            "linux-image-gcp": "6.2.0.1019.21~22.04.1",
            "linux-modules-extra-gcp": "6.2.0.1019.21~22.04.1",
            "linux-gcp-edge": "6.2.0.1019.21~22.04.1",
            "linux-modules-extra-gcp-edge": "6.2.0.1019.21~22.04.1",
            "linux-modules-extra-6.2.0-1019-gcp": "6.2.0-1019.21~22.04.1",
            "linux-image-6.2.0-1019-gcp": "6.2.0-1019.21~22.04.1",
            "linux-image-unsigned-6.2.0-1019-gcp": "6.2.0-1019.21~22.04.1"
        }
    ]
}